<!--
  ~ Copyright (c) 2023-2024 Arista Networks, Inc.
  ~ Use of this source code is governed by the Apache License 2.0
  ~ that can be found in the LICENSE file.
  -->

# AntaDevice base class

## UML representation

![](../imgs/uml/anta.device.AntaDevice.jpeg)

### ::: anta.device.AntaDevice
    options:
      filters: ["!^_[^_]", "!__(eq|rich_repr)__"]

# Async EOS device class

## UML representation

![](../imgs/uml/anta.device.AsyncEOSDevice.jpeg)

### ::: anta.device.AsyncEOSDevice
    options:
      filters: ["!^_[^_]", "!__(eq|rich_repr)__"]
